# Business Validation for ID Schema attributes
mosip.id.validation.identity.dateOfBirth=^\\d{4}/([0]\\d|1[0-2])/([0-2]\\d|3[01])$
mosip.id.validation.identity.phone=^([6-9]{1})([0-9]{9})$
mosip.id.validation.identity.email=^[\\w-\\+]+(\\.[\\w]+)*@[\\w-]+(\\.[\\w]+)*(\\.[a-z]{2,})$
mosip.id.validation.identity.postalCode=^[(?i)A-Z0-9]{5}$
mosip.id.validation.identity.CNIENumber=^([0-9]{10,30})$
mosip.id.validation.identity.age=^(150|1[0-4][0-9]|[1-9]?[0-9])$
mosip.id.validation.identity.fullName.[*].value=^(?=.{0,50}$).*
mosip.id.validation.identity.addressLine1.[*].value=^(?=.{0,50}$).*
mosip.id.validation.identity.addressLine2.[*].value=^(?=.{0,50}$).*
mosip.id.validation.identity.addressLine3.[*].value=^(?=.{0,50}$).*
mosip.id.validation.identity.region.[*].value=^(?=.{0,50}$).*
mosip.id.validation.identity.province.[*].value=^(?=.{0,50}$).*
mosip.id.validation.identity.city.[*].value=^(?=.{0,50}$).*
mosip.id.validation.identity.[*].[*].language=^[(?i)a-z]{3}$
mosip.country.code=MOR

# Language Supported By Platform - ISO 
mosip.supported-languages=eng,ara,fra

mosip.primary-language=fra
mosip.secondary-language=ara

# Application IDs
mosip.prereg.app-id=PRE_REGISTRATION
mosip.reg.app-id=REGISTRATION
mosip.regproc.app-id=REGISTRATION_PROCESSOR
mosip.ida.app-id=IDA
mosip.idrepo.app-id=ID_REPO

# UTC ISO Date Time Pattern
mosip.utc-datetime-pattern=yyyy-MM-dd'T'HH:mm:ss.SSS'Z'


#----------------------- CBEFF Util--------------------------------------------------
# Cbeff URL where the files will be stored in git, change it accordingly in case of change of storage location.
mosip.kernel.xsdstorage-uri=${spring.cloud.config.uri}/${spring.application.name}/${spring.profiles.active}/${spring.cloud.config.label}/
# Cbeff XSD file name in config server
mosip.kernel.xsdfile=mosip-cbeff.xsd

#----------------------------- Applicant Type --------------------------------------------------
mosip.kernel.applicant.type.age.limit = 5

#----------------------------- Static PIN --------------------------------------------------
mosip.kernel.pin.length=6

#-----------------------------TspId -----------------------------------------------
#length of the Tsp id
mosip.kernel.tspid.length=4

#-----------------------------partnerId -----------------------------------------------
#length of the partner id
mosip.kernel.partnerid.length=4

#-----------------------------TOKEN-ID Properties---------------------------------
#lenght of the token id
mosip.kernel.tokenid.length=36

#-----------------------------Registration Center Id -----------------------------------------------
#length of the registration center id
mosip.kernel.registrationcenterid.length=5

#-----------------------------Machine Id -----------------------------------------------
#length of the machine id
mosip.kernel.machineid.length=5

#-----------------------------RID Properties---------------------------------------
# length of the rid
mosip.kernel.rid.length=29
# length of the timestamp
mosip.kernel.rid.timestamp-length=14
# rid sequence max digits
mosip.kernel.rid.sequence-length=5

# Upper bound of number of digits in sequence allowed in id. For example if
# limit is 3, then 12 is allowed but 123 is not allowed in id (in both
# ascending and descending order)
mosip.kernel.tokenid.sequence-limit=3

#-----------------------------PRID Properties------------------------------------

#prid-length
mosip.kernel.prid.length=14

# Upper bound of number of digits in sequence allowed in id. For example if
# limit is 3, then 12 is allowed but 123 is not allowed in id (in both
# ascending and descending order)
#to disable validation assign zero or negative value
mosip.kernel.prid.sequence-limit=3

# Number of digits in repeating block allowed in id. For example if limit is 2,
# then 4xxx4 is allowed but 48xxx48 is not allowed in id (x is any digit)
#to disable validation assign zero or negative value
mosip.kernel.prid.repeating-block-limit=3


# Lower bound of number of digits allowed in between two repeating digits in
# id. For example if limit is 2, then 11 and 1x1 is not allowed in id (x is any digit) to disable validation assign zero or negative value
mosip.kernel.prid.repeating-limit=2

# list of number that id should not be start with to disable null
mosip.kernel.prid.not-start-with=0,1

#restricted numbers for prid
mosip.kernel.prid.restricted-numbers=786,666


#-----------------------------VID Properties--------------------------------------
# length of the vid
mosip.kernel.vid.length=16

# Upper bound of number of digits in sequence allowed in id. For example if
# limit is 3, then 12 is allowed but 123 is not allowed in id (in both
# ascending and descending order)
# to disable sequence limit validation assign 0 or negative value
mosip.kernel.vid.length.sequence-limit=3

# Number of digits in repeating block allowed in id. For example if limit is 2,
# then 4xxx4 is allowed but 48xxx48 is not allowed in id (x is any digit)
# to disable repeating block validation assign 0 or negative value
mosip.kernel.vid.length.repeating-block-limit=2


# Lower bound of number of digits allowed in between two repeating digits in
# id. For example if limit is 2, then 11 and 1x1 is not allowed in id (x is any digit)
# to disable repeating limit validation, assign 0  or negative value
mosip.kernel.vid.length.repeating-limit=2

# list of number that id should not be start with
# to disable null
mosip.kernel.vid.not-start-with=0,1

#restricted numbers for vid
mosip.kernel.vid.restricted-numbers=786,666

#-----------------------------UIN Properties--------------------------------------
#length of the uin
mosip.kernel.uin.length=10
#minimum threshold of unused uin
mosip.kernel.uin.min-unused-threshold=100000
#number of uins to generate
mosip.kernel.uin.uins-to-generate=200000
#restricted numbers for uin
mosip.kernel.uin.restricted-numbers=786,666

# Upper bound of number of digits in sequence allowed in id. For example if
# limit is 3, then 12 is allowed but 123 is not allowed in id (in both
# ascending and descending order)
# to disable sequence limit validation assign 0 or negative value
mosip.kernel.uin.length.sequence-limit=3

# Number of digits in repeating block allowed in id. For example if limit is 2,
# then 4xxx4 is allowed but 48xxx48 is not allowed in id (x is any digit)
#to disable validation assign zero or negative value
mosip.kernel.uin.length.repeating-block-limit=2

# Lower bound of number of digits allowed in between two repeating digits in
# id. For example if limit is 2, then 11 and 1x1 is not allowed in id (x is any digit)
# to disable repeating limit validation, assign 0  or negative value
mosip.kernel.uin.length.repeating-limit=2

#reverse group digit limit for uin filter
mosip.kernel.uin.length.reverse-digits-limit=5

#group digit limit for uin filter
mosip.kernel.uin.length.digits-limit=5

#should not start with
mosip.kernel.uin.not-start-with=0,1

#adjacent even digit limit for uin filter
mosip.kernel.uin.length.conjugative-even-digits-limit=3




#----------------------- SMS Service--------------------------------------
mosip.kernel.sms.country.code=91
mosip.kernel.sms.number.length=10


#-----------------------------Data Validator Properties--------------------------------------
#Phone Validation
mosip.kernel.phone.max-length=15
mosip.kernel.phone.min-length=9
mosip.kernel.phone.special-char=+ -
#Email Validation
mosip.kernel.email.max-length=50
mosip.kernel.email.min-length=7
mosip.kernel.email.special-char=!#$%&'*+-/=?^_`{|}~.
mosip.kernel.email.domain.ext-min-lenght=2
mosip.kernel.email.domain.ext-max-lenght=7
mosip.kernel.email.domain.special-char=-




#----------------------- Crypto --------------------------------------------------
# Crypto asymmetric algorithm name
mosip.kernel.crypto.asymmetric-algorithm-name=RSA
#Crypto symmetric algorithm name
mosip.kernel.crypto.symmetric-algorithm-name=AES
#Asymmetric algorithm key length
mosip.kernel.keygenerator.asymmetric-algorithm-length=2048
#Symmetric algorithm key length
mosip.kernel.keygenerator.symmetric-algorithm-length=256
#Keygenerator symmetric algorithm name
mosip.kernel.keygenerator.symmetric-algorithm-name=AES
# keygenerator asymmetric algorithm name
mosip.kernel.keygenerator.asymmetric-algorithm-name=RSA
#Encrypted data and encrypted symmetric key separator
mosip.kernel.data-key-splitter=#KEY_SPLITTER#




#----------------------------------ID Repo------------------------------------------
mosip.kernel.idrepo.status.registered=ACTIVATED
mosip.kernel.idrepo.status=BLOCKED,DEACTIVATED


#---------------------------------------otp manager service-------------------------------
#the default length for otp(in number)
mosip.kernel.otp.default-length=6
#the default crypto function
#It can be: HmacSHA512, HmacSHA256, HmacSHA1.
mosip.kernel.otp.mac-algorithm=HmacSHA512
#the OTP expires after the given time(in seconds).
mosip.kernel.otp.expiry-time=120
#the key is freezed for the given time(in seconds).
mosip.kernel.otp.key-freeze-time=7200
#the number of validation attempts allowed(in number).
#mosip.kernel.otp.validation-attempt-threshold =3 means , the validation and generation will be blocked from 4th time.
mosip.kernel.otp.validation-attempt-threshold=3
#minimum length of key(in number).
mosip.kernel.otp.min-key-length=3
#maximum length of key(in number).
mosip.kernel.otp.max-key-length=64


#--------------------------------------Licensekeymanager  Service--------------------------------------
#the license key length.
mosip.kernel.licensekey.length=16
#List of permissions
# NOTE: ',' in the below list is used as splitter in the implementation. 
# Use of ',' in the values for below key should be avoided.
# Use of spaces before and after ',' also should be avoided.
mosip.kernel.licensekey.permissions=OTP Trigger,OTP Authentication,Demo Authentication - Identity Data Match,Demo Authentication - Address Data Match,Demo Authentication - Full Address Data Match,Demo Authentication - Secondary Language Match,Biometric Authentication - FMR Data Match,Biometric Authentication - IIR Data Match,Biometric Authentication - FID Data Match,Static Pin Authentication,eKYC - limited,eKYC - Full,eKYC - No



#-----------------------------Virus Scanner--------------------------------------
#Virus Scanner server url
mosip.kernel.virus-scanner.host=<url-here>
#Virus Scanner server port
mosip.kernel.virus-scanner.port=3310



#-------------------------------FS Adapter- HDFS -------------------------------

# Name node url for HDFS
mosip.kernel.fsadapter.hdfs.name-node-url=hdfs://<url-here>:51000 
# HDFS log level. Change this to debug to see hdfs logs
logging.level.org.apache.hadoop=warn
# Enable if hadoop security authorization is 'true', default is false
mosip.kernel.fsadapter.hdfs.authentication-enabled=false
# If HDFS is security is configured with Kerberos, Key Distribution Center domain
mosip.kernel.fsadapter.hdfs.kdc-domain=NODE-MASTER.SOUTHINDIA.CLOUDAPP.AZURE.COM
# Username to access hdfs. Change this to application username (regprocessor,prereg or idrepo)
#mosip.kernel.fsadapter.hdfs.user-name=mosipuser
# Password for hdfs user
#mosip.kernel.fsadapter.hdfs.user-pass=MosipUserPwd


# #---------------------FS Adapter- CEPH ----------------------------------------
# mosip.kernel.fsadapter.ceph.access-key=<access-key-here>
# mosip.kernel.fsadapter.ceph.secret-key=<secret-key-key>
# mosip.kernel.fsadapter.ceph.endpoint=<url-here>

#------------------------Auth-Adapter-----------------------------------------------
# Auth Server token validation endpoint
auth.server.validate.url=<url-here>  
auth.role.prefix=ROLE_
auth.header.name=Authorization

#---------------Transliteration-----------------------
mosip.kernel.transliteration.arabic-language-code=ara
mosip.kernel.transliteration.franch-language-code=fra


#---------------TO BE DELETED-----------------------
# length of the center id
mosip.kernel.rid.centerid-length=5
#length of the machine id
mosip.kernel.rid.machineid-length=5

#-------Registration processor Notification types------------
mosip.registration.processor.notification.types=SMS|EMAIL


mosip.default.dob.month=01
mosip.default.dob.day=01
mosip.login.mode= email,mobile
# Business Validation for ID Schema attributes length

mosip.id.validation.identity.phone.length=10
mosip.id.validation.identity.email.length=50
mosip.id.validation.identity.postalCode.length=5
mosip.id.validation.identity.CNIENumber.length=30


#---Language orientation-----
mosip.right_to_left_orientation=ara
mosip.left_to_right_orientation=eng,fra


#**************** Notification Type *************
mosip.notificationtype=SMS|EMAIL
#******** Notification lanugage types - either PRIMARY or BOTH ********
mosip.notification.language-type=BOTH


#-------------------System---------------
server.use-forward-headers=false
